#
# spec file for package beast (Version 0.3.3)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  alsa alsa-devel audiofile control-center control-center-devel esound esound-devel gdk-pixbuf gdk-pixbuf-devel glib glib-devel gnome-libs gnome-libs-devel gnome-utils gpc gpp gtk gtk-devel gxmhtml imlib imlib-devel indent libgpp libjpeg libpng libtiff libungif libxml libxml-devel libz orbit orbit-devel xf86 xpm
# usedforbuild    aaa_base aaa_dir alsa alsa-devel audiofile autoconf automake base bash bindutil binutils bison bzip compress control-center control-center-devel cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs esound esound-devel file fileutils findutils flex gawk gcc gdbm gdbm-devel gdk-pixbuf gdk-pixbuf-devel gettext glib glib-devel glibc glibc-devel gnome-libs gnome-libs-devel gnome-utils gpc gpm gpp gppshare grep groff gtk gtk-devel gxmhtml gzip imlib imlib-devel indent kbd less libgpp libjpeg libpng libtiff libtool libungif libxml libxml-devel libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg orbit orbit-devel pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xshared

Name:         beast
%define prefix   /opt/gnome
%define sysconfdir /etc%{prefix}
Copyright:    GPL
Group:        X11/GNOME/Multimedia
# Define the version number of the extra-data-package here:
%define dataversion 0.3
  
Autoreqprov:  on
Version:      0.3.3
Release:      126
Summary:      Bedevilled Sound System
Source: ftp://beast.gtk.org/pub/beast-%{version}.tar.bz2
Source1: ftp://beast.gtk.org/pub/beast-data-%{dataversion}.tar.bz2
URL: http://beast.gtk.org/
BuildRoot: /var/tmp/beast-root
Docdir: %{_defaultdocdir}/gnome/beast

%description
This is an ALPHA version of BEAST/BSE, the bedevilled audio system and
the bedevilled sound engine.
BEAST is in very early development stage, the GUI is still pretty rough
in some places and the BSE API has not really stabelized yet.
The rough goal of this project is to get an audio system that supports
multiple song and sample formats (besides the newly introduced .bse
format) as well as synthesis networks and allowes full fledged editing
and manipultation of them.

Authors:
--------
    Olaf Hoehmann <olaf@gtk.org>
    Tim Janik <timj@gtk.org>

SuSE series: gnm

%prep
%setup -b1 -n beast-data-%{dataversion}
%setup -n beast-%{version}

%build
CFLAGS="$RPM_OPT_FLAGS" \
LIBS=-L/usr/X11R6/lib \
  ./configure \
    --prefix=%prefix \
    --sysconfdir=%sysconfdir \
    --datadir=%prefix/share \
    --localstatedir=/var/lib \
    --with-kde-datadir=/opt/kde
CFLAGS="$RPM_OPT_FLAGS" \
  make
cd ../beast-data-%{dataversion}
CFLAGS="$RPM_OPT_FLAGS" \
LIBS=-L/usr/X11R6/lib \
  ./configure \
    --prefix=%prefix \
    --sysconfdir=%sysconfdir \
    --datadir=%prefix/share \
    --localstatedir=/var/lib \
    --with-kde-datadir=/opt/kde
make

%install
make install DESTDIR=$RPM_BUILD_ROOT
cd ../beast-data-%{dataversion}
make install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc README INSTALL NEWS COPYING AUTHORS 
%dir %{prefix}/lib/
%{prefix}/lib/libbse*
%dir %{prefix}/include/bse
%{prefix}/include/bse/*
%dir %{prefix}/lib/bse/v%{version}/plugins/
%{prefix}/lib/bse/v%{version}/plugins/*
%{prefix}/bin/beast
%dir %{prefix}/share/beast/v%{dataversion}/solos
%dir %{prefix}/share/beast/v%{dataversion}/string
%dir %{prefix}/share/beast/v%{dataversion}/snare
%dir %{prefix}/share/beast/v%{dataversion}/hihat
%dir %{prefix}/share/beast/v%{dataversion}/clap
%dir %{prefix}/share/beast/v%{dataversion}/bassdrum
%dir %{prefix}/share/beast/v%{dataversion}/bass
%{prefix}/share/beast/v%{dataversion}/solos/*
%{prefix}/share/beast/v%{dataversion}/string/*
%{prefix}/share/beast/v%{dataversion}/snare/*
%{prefix}/share/beast/v%{dataversion}/hihat/*
%{prefix}/share/beast/v%{dataversion}/clap/*
%{prefix}/share/beast/v%{dataversion}/bassdrum/*
%{prefix}/share/beast/v%{dataversion}/bass/*

%changelog -n beast
* Mon Jul 02 2001 - hhetter@suse.de
- update to version 0.3.3
* Mon Jan 29 2001 - hhetter@suse.de
- added %%{dataversion} to manage data-package version number
- specfile cleanup
- added ALSA Support
* Mon Jan 29 2001 - hhetter@suse.de
- Initial Build:
- building beast-data and beast in one package
- use bz2 compression
